Автор Тема: MySQL Ошибка сервиса.  (Прочитано 687 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Gekko

  • Постоялец
  • ***
  • Сообщений: 246
  • Рейтинг: 1
    • Просмотр профиля
  • Откуда: UTC+3
MySQL Ошибка сервиса.
« : 19 Августа 2019, 15:52:37 »
Данные такие: ЦентОС 6.2 в виде небольшого шлюза.
Видимо на машине некорректно был удален или поврежден MySQL. При попытке установить на нее веб-интерфейс NTOPNG застрял на ошибках в инсталяторе связанных с MYSQL:
Цитировать
In file included from src/AddressList.cpp:22:
/usr/local/src/ntopng/include/ntop_includes.h:146:19: error: mysql.h: No such file or directory
/usr/local/src/ntopng/include/ntop_includes.h:147:20: error: errmsg.h: No such file or directory
In file included from /usr/local/src/ntopng/include/ntop_includes.h:256,
                 from src/AddressList.cpp:22:
/usr/local/src/ntopng/include/MySQLDB.h:29: error: ‘MYSQL’ does not name a type
/usr/local/src/ntopng/include/MySQLDB.h:30: error: ‘MYSQL’ does not name a type
/usr/local/src/ntopng/include/MySQLDB.h:39: error: ‘MYSQL’ has not been declared
/usr/local/src/ntopng/include/MySQLDB.h:41: error: expected ‘;’ before ‘(’ token
/usr/local/src/ntopng/include/MySQLDB.h:42: error: expected ‘;’ before ‘int’
/usr/local/src/ntopng/include/MySQLDB.h:42: error: ‘MYSQL’ has not been declared
/usr/local/src/ntopng/include/MySQLDB.h:44: error: ‘MYSQL’ has not been declared
/usr/local/src/ntopng/include/MySQLDB.h:55: error: ‘MYSQL’ has not been declared
make: *** [src/AddressList.o] Error 1
Явно инсталятор не отдупляет - что за библиотеки mysql.h и что за константа такая - MYSQL?

На  прозвон служб ps ничего похожего на mysql не видит. Попытка запустить службу черз services start или init.d выдает сообщение, что службы такой нет.
Однако когда пытаюсь запустить mysql  с командной строки, олучаю:
Цитировать
# mysql
ERROR 2002 (HY000): Can't connect to local MySQL server through socket '/var/lib/mysql/mysql.sock' (2)
То есть он тут и про сокет вспомнил, и что сервер MySQL как таковой тут был.
При попытке переустановить mysql говорит, что
Цитировать
Error: Package: mysql-5.1.73-8.el6_8.i686 (base)
           Requires: mysql-libs = 5.1.73-8.el6_8
           Installed: mysql-libs-5.5.62-1.el6.remi.i686 (@remi)
               mysql-libs = 5.5.62-1.el6.remi
           Available: mysql-libs-5.1.73-8.el6_8.i686 (base)
               mysql-libs = 5.1.73-8.el6_8
You could try using --skip-broken to work around the problem
Что это значит? Нужна версия 5.1.73 а уже стоит 5.5.62?
Блин, а нельзя это как нибудь через git установить, а то я помру устанавливать старые версии библиотек?
Зеленка понижает IQ всего IT подразделения. Не начинайте читать зеленку.